package a.c.d.f;

import com.share.connect.WifiOwnerConfig;

public interface a {
    void a();

    void a(String str);

    void a(String str, int i);

    void a(String str, String str2);

    void a(String str, boolean z);

    void b();

    void b(String str, int i);

    void b(String str, String str2);

    void onConnected();

    void onPinCode(String str, String str2);

    void onReconfigureWifi(WifiOwnerConfig wifiOwnerConfig);

    int onSelectWorkMode(int i);

    void onUserInterventionNeeded(boolean z);
}
